Subject: Re: gitweb improvements

From: Jakub Narebski <[email-masked]>
Date: Mon, 6 Oct 2008 01:54:06 +0200

On Mon, 6 Oct 2008, Tjernlund wrote:
> Jakub Narebski wrote:
>> "Tjernlund" <[email-masked]> writes:

>>> 2) looking at a merge like:
>>> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=66120005e65eed8a05b14a36ab448bdec42f0d6b
>>>    is somewhat confusing. It really doesn't tell you which commits that is
>>>    included in the merge.
>> 
>> I don't understand you there. First, you have "(merge: 0d0f3ef 9778e9a)"
>> in the navbar, so you can easily go to commit view for parents. Second,
>> among commit headers you have two "parent", where SHA-1 of a commit is
>> hidden link, and there are also 'commit' and 'diff' link for those.
> 
> hmm, looks like I overlooked "(merge: 0d0f3ef 9778e9a)" part. However, I can't
> find the "ALSA: make the CS4270 driver a new-style I2C driver" from within
> this page.

I think you don't quite understand the situation. The history looks
like this:

    M      Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound-2.6
    |\
    | 2    ALSA: ASoC: Fix another cs4270 error path
    | *    ALSA: make the CS4270 driver a new-style I2C driver
    | |
    1 |    Merge git://git.kernel.org/pub/scm/linux/kernel/git/jejb/scsi-rc-fixes-2.6  

Parents of commit 'M' (for merge) are '1' and '2', not 2,* or 1,2,*.

Now the fact that commit message for merge contains shortlog of merged
branch does not mean that there must be direct link to such shortlog.
You can go to shortlog (well, kind of) if you click on second parent,
_then_ click on shortlog link at top of the page.

-- 
Jakub Narebski
Poland